/*
 * client.c: client application
 *
 * $Id: wait.c 132 2011-07-01 14:35:01Z meaton $
 */

#include <assert.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "srr.h"

int main(int argc, char* argv[])
{
	int		pid;
	char	smsg[] = "gimme' gimme'";
	char	rmsg[BUFSIZ] = "";

	assert(argc == 2);

	pid = atoi(argv[1]);

	if(InitSrr() == -1)
	{
		fprintf(stderr, "InitSrr() failed: [%d] %s\n", errno, strerror(errno));
		exit(1);
	}

	printf("sending: \"%s\"\n", smsg);

	if(Send(pid, smsg, rmsg, strlen(smsg), BUFSIZ) == -1)
	{
		fprintf(stderr, "Send() failed: [%d] %s\n", errno, strerror(errno));
		exit(1);
	}

	printf("received: \"%s\"\n", rmsg);

	return 0;
}

