/*
 * srr_mod.h: definitions for the srr module
 *
 *  Linux Loadable Module Implementation of QNX Send/Receive/Reply
 *	message passing, and related function.
 *
 *	QNX is a trademark of QSSL, Ltd. <www.qnx.com>
 *
 * Copyright (C) 2000 Cogent Real-Time Systems Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software in a file called 'COPYING'; if not, write to:
 * 	Free Software Foundation, Inc.,
 * 	59 Temple Place, Suite 330,
 * 	Boston, MA 
 * 	02111-1307  USA
 *
 * $Id: srr_mod.h 3245 2007-05-02 14:33:58Z andrew $
 */

#include "srr_taskLocks.h"

#ifndef SRR_MOD_H
#define SRR_MOD_H

#define RETURN_SIZES


// So they changed the nature of work queues in 2.6.20 to
// use a totally incompatible mechanism.  Here we try to
// determine which to use.
#ifndef WORK_DATA_INIT
#define WORK_DATA_IS_VOID
#else
#undef  WORK_DATA_IS_VOID
#endif

#endif /* SRR_MOD_H */

